Skip to content
Tx Platform
Search for Candidates

Search for a Candidate🔗︎

HTTP Verb Path
POST /v10/matchv2/candidates/search

Search for a candidate based on the query provided.

Info

Request Body🔗︎

Options 🔗︎ object required

Options🔗︎

This object allows the user to filter match results. See Options

Query 🔗︎ object required

Query🔗︎

The query object that will drive the search. See Query

SearchAndMatchEnvironment 🔗︎ string required

SearchAndMatchEnvironment🔗︎

A string representing which environment to target. User can provide a value of 'ACC' to target acceptance or 'PROD' to target Production. A value must be provided and it must be either 'ACC' or 'PROD'.

Response Body🔗︎

Info 🔗︎ object

Info🔗︎

Information explaining the outcome of the transaction.


Info properties

Code 🔗︎ string

Code🔗︎

Code Description
Success Successful transaction
MissingParameter A required parameter wasn't provided
ConstraintError A conditionally required parameter wasn't provided
InvalidParameter A parameter was incorrectly specified
AuthenticationError An error occurred with the credentials provided
Unauthorized Your account doesn't have permission to perform this operation
DataNotFound Couldn't find the requested asset
Message 🔗︎ string

Message🔗︎

This message further describes the code providing additional detail.

TransactionId 🔗︎ string

TransactionId🔗︎

The (GUID) id for a specific API transaction. Use this when contacting TXsupport@bullhorn.com about issues.

EngineVersion 🔗︎ string

EngineVersion🔗︎

The version of the parsing/matching engine running under-the-hood.

ApiVersion 🔗︎ string

ApiVersion🔗︎

The version of the API.

TotalElapsedMilliseconds 🔗︎ integer

TotalElapsedMilliseconds🔗︎

How long the transaction took on Textkernel's server, in milliseconds. If the transaction takes longer to complete on the client side, that extra duration is solely network latency.

TransactionCost 🔗︎ decimal

TransactionCost🔗︎

How many credits the transaction costs.

CustomerDetails 🔗︎ object

CustomerDetails🔗︎

Information about the customer who made the API call.


CustomerDetails properties

AccountId 🔗︎ string

AccountId🔗︎

The AccountId for the account.

Name 🔗︎ string

Name🔗︎

The customer name on the account.

IPAddress 🔗︎ string

IPAddress🔗︎

The client IP Address where the API call originated.

Region 🔗︎ string

Region🔗︎

The region for the account, also known as the 'Data Center'.

CreditsRemaining 🔗︎ decimal

CreditsRemaining🔗︎

The number of credits remaining to be used by the account.

CreditsUsed 🔗︎ decimal

CreditsUsed🔗︎

The number of credits used by the account.

MaximumConcurrentRequests 🔗︎ integer

MaximumConcurrentRequests🔗︎

The number of requests that can be made at one time. If using sub-accounts, this is the maximum number of concurent requests across all accounts, not just this single sub-account.

ExpirationDate 🔗︎ date

ExpirationDate🔗︎

The date that the current credits expire.

Value 🔗︎ object

Value🔗︎

Value of the SearchResult. See Result

Sample JSON

json { "Info": { "Code": "string", "Message": "string", "TransactionId": "string", "EngineVersion": "string", "ApiVersion": "string", "TotalElapsedMilliseconds": 0, "TransactionCost": 0, "CustomerDetails": { "AccountId": "string", "Name": "string", "IPAddress": "string", "Region": "string", "CreditsRemaining": 0, "CreditsUsed": 0, "ExpirationDate": "2021-12-31", "MaximumConcurrentRequests": 0 } }, "Value": { "MatchSize": 1, "HasMoreResults": true, "ResultItems": [ { "DocID": "", "FieldValues": [ { "Key": "", "Value": [ { "Value": "" } ] } ], "Score": 0.1, "QueryPartScores": [1] } ], "QueryParts": [ { "Field": "name", "Condition": "REQUIRED", "ConditionSpecified": true, "Weight": 1.0, "WeightSpecified": true, "Items": [ { "Value": "", "Label": "" } ], "FieldLabel": "Name" } ], "NewQueryParts": [ { "Field": "name", "Condition": "REQUIRED", "ConditionSpecified": true, "Weight": 1.0, "WeightSpecified": true, "Items": [ { "Value": "", "Label": "" } ], "FieldLabel": "Name" } ], "IsOrCombined": false, "SearchEngine": "candidates_api", "Synonyms": [], "QueryContext": {}, "SearchAfter": [""], "EsTimeMsSpecified": false } }